#!/usr/bin/env python
# coding: utf-8

# In[23]:


import random

def double_bets(initial_bet, bank, max_rounds):
    '''Simulate a roulette wheel. It has 38 slots numbered 0 to 37 plus 00.'''
    max_bank = bank
    current_bet = initial_bet
    for i in range(max_rounds):
        # Value -1 represents 00.
        # Player wins on even number greater than 0.
        spin = random.randint(-1, 37)
        is_winner = (spin > 0) and (spin % 2 == 0)
        if is_winner:
            # We won!😊 Pocket the winnings and start over.
            bank += current_bet
            max_bank = max(max_bank, bank)
            current_bet = initial_bet
        else:
            # We lost.😔 Double the bet if we have that much money left.
            bank -= current_bet
            current_bet = min(2 * current_bet, bank)

        # Display our progress.
        print(f'{i+1:<3}: Bank: ${bank}, bet: ${current_bet}')
        if bank < 1: break  # Bail if we're out of money.

    # Print a summary.
    print()
    print(f'Max Bank: ${max_bank}')
    print(f'Final Bank: ${bank}')


# In[58]:


double_bets(1, 100, 100)


# In[ ]:




